image: corsika/devel:u-18.04

variables:
  GIT_SSL_NO_VERIFY: "1"

build:
  stage: build
  tags:
    - corsika
  script:
    - mkdir build
    - cd build
    - cmake ..
    - cmake --build . -- -j 4 
    - ctest -VV >& test.log
  after_script:
    - cd build
    - ls
    - gzip -v -9 -S .gz test.log
    - pwd
  artifacts:
    expire_in: 1 week
    paths:
      - build/test.log.gz
    when: on_failure
    reports:
      junit:
        - build/test_outputs/junit*.xml

pages:
  stage: build
  tags:
    - corsika
  script:
    - mkdir build
    - cd build
    - cmake ..
    - make doxygen
    - mkdir .public
    - cp -r Documentation/Doxygen/html .public/
    - mv .public ../public
  artifacts:
    paths:
      - public
  only:
    - tags
    - triggers
    - schedules


# code_quality:
#   image: docker:stable
#   variables:
#     DOCKER_DRIVER: overlay2
#   allow_failure: true
#   services:
#     - docker:stable-dind
#   script:
#     - export SP_VERSION=$(echo "$CI_SERVER_VERSION" | sed 's/^\([0-9]*\)\.\([0-9]*\).*/\1-\2-stable/')
#     - docker run
#         --env SOURCE_CODE="$PWD"
#         --volume "$PWD":/code
#         --volume /var/run/docker.sock:/var/run/docker.sock
#         "registry.gitlab.com/gitlab-org/security-products/codequality:$SP_VERSION" /code
#   artifacts:
#     reports:
#       codequality: gl-code-quality-report.json
